LibreOffice: StockDiagram Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
StockDiagram Service Referencepublished

specifies a diagram which can be used for presenting stock quotes. More...

`import"StockDiagram.idl";`

Inheritance diagram for StockDiagram:

## Included Services
service | com::sun::star::chart::ChartStatistics
service | com::sun::star::chart::Diagram
service | com::sun::star::chart::ChartAxisXSupplier
service | com::sun::star::chart::ChartTwoAxisYSupplier
Included Services inherited from Diagram
service | com::sun::star::xml::UserDefinedAttributesSupplier
| If a Diagram may be stored as XML file, this service should be supported in order to preserve unparsed XML attributes. More...
Included Services inherited from ChartTwoAxisYSupplier
service | com::sun::star::chart::ChartAxisYSupplier

## Exported Interfaces
interface | com::sun::star::chart::XStatisticDisplay
Exported Interfaces inherited from ChartStatistics
interface | com::sun::star::beans::XPropertySet
Exported Interfaces inherited from Diagram
interface | com::sun::star::chart::XDiagram
interface | com::sun::star::chart::XAxisSupplier
| Provides easier access to the differnet axes and their sub elements. More...
interface | com::sun::star::chart::XSecondAxisTitleSupplier
| Provides access to the titles of the secondary X axis and Y axis. More...
interface | com::sun::star::chart::XDiagramPositioning
interface | com::sun::star::beans::XPropertySet
Exported Interfaces inherited from ChartAxisXSupplier
interface | com::sun::star::chart::XAxisXSupplier
| offers access to the axis object, the title, and the grids More...
Exported Interfaces inherited from ChartTwoAxisYSupplier
interface | com::sun::star::chart::XTwoAxisYSupplier
| offers access to the axis object More...
Exported Interfaces inherited from ChartAxisYSupplier
interface | com::sun::star::chart::XAxisYSupplier
| offers access to the axis object, the title, and the grids More...

## Public Attributes
boolean | Volume
| indicates if a stock chart contains data representing the volume of stocks. More...
boolean | UpDown
| indicates if a stock chart contains data representing the value of stocks on the opening and closing date. More...
Public Attributes inherited from ChartStatistics
double | ConstantErrorLow
| specifies the lower limit of the error range of a data row. More...
double | ConstantErrorHigh
| specifies the upper limit of the error range of a data row. More...
boolean | MeanValue
| determines if the mean value for a data row is displayed as a line. More...
com::sun::star::chart::ChartErrorCategory | ErrorCategory
| determines the type of error to indicate. More...
long | ErrorBarStyle
| determines the style of the error bars. More...
double | PercentageError
| specifies the percentage that is used to display error bars. More...
double | ErrorMargin
| specifies the percentage for the margin of errors. More...
com::sun::star::chart::ChartErrorIndicatorType | ErrorIndicator
| determines how the error is indicated. More...
com::sun::star::chart::ChartRegressionCurveType | RegressionCurves
| determines a type of regression for the data row values. More...
string | ErrorBarRangePositive
| contains a cell range string for positive error bars. More...
string | ErrorBarRangeNegative
| contains a cell range string for negative error bars. More...
Public Attributes inherited from Diagram
boolean | AutomaticPosition
| If this property is `TRUE` the position is calculated by the application automatically. More...
boolean | AutomaticSize
| If this property is `TRUE` the size is calculated by the application automatically. More...
com::sun::star::chart::ChartDataRowSource | DataRowSource
| determines if the data for a data row is contained in the columns or in the rows of the data array. More...
long | DataCaption
| specifies how the caption of data points is displayed. More...
long | MissingValueTreatment
| specifies how empty or invalid cells in the provided data should be handled when displayed More...
Public Attributes inherited from ChartAxisXSupplier
boolean | HasXAxis
| This property determines if the x-axis is shown or hidden. More...
boolean | HasXAxisDescription
| Determines if the description of the x-axis is shown or hidden. More...
boolean | HasXAxisGrid
| Determines if the major grid of the x-axis is shown or hidden. More...
boolean | HasXAxisHelpGrid
| Determines if the minor grid of the x-axis is shown or hidden. More...
boolean | HasXAxisTitle
| Determines if the title of the x-axis is shown or hidden. More...
Public Attributes inherited from ChartTwoAxisYSupplier
boolean | HasSecondaryYAxis
| determines if the secondary y-axis is shown or hidden. More...
boolean | HasSecondaryYAxisDescription
| determines for the secondary y-axis if the labels at the tick marks are shown or hidden. More...
boolean | HasSecondaryYAxisTitle
| determines if the title of the secondary y-axis is shown or hidden. More...
Public Attributes inherited from ChartAxisYSupplier
boolean | HasYAxis
| Determines if the y-axis is shown or hidden. More...
boolean | HasYAxisDescription
| Determines if the description of the y-axis is shown or hidden. More...
boolean | HasYAxisGrid
| Determines if the major grid of the y-axis is shown or hidden. More...
boolean | HasYAxisHelpGrid
| Determines if the minor grid of the y-axis is shown or hidden. More...
boolean | HasYAxisTitle
| Determines if the title of the y-axis is shown or hidden. More...

## Additional Inherited Members
Public Member Functions inherited from XStatisticDisplay
com::sun::star::beans::XPropertySet | getUpBar ()
com::sun::star::beans::XPropertySet | getDownBar ()
com::sun::star::beans::XPropertySet | getMinMaxLine ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XDiagram
string | getDiagramType ()
com::sun::star::beans::XPropertySet | getDataRowProperties ([in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
com::sun::star::beans::XPropertySet | getDataPointProperties ([in] long nCol, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XAxisXSupplier
com::sun::star::drawing::XShape | getXAxisTitle ()
com::sun::star::beans::XPropertySet | getXAxis ()
com::sun::star::beans::XPropertySet | getXMainGrid ()
com::sun::star::beans::XPropertySet | getXHelpGrid ()
Public Member Functions inherited from XTwoAxisYSupplier
com::sun::star::beans::XPropertySet | getSecondaryYAxis ()
Public Member Functions inherited from XAxisYSupplier
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Protected Member Functions inherited from XAxisSupplier
com::sun::star::chart::XAxis | getAxis ([in] long nDimensionIndex)
com::sun::star::chart::XAxis | getSecondaryAxis ([in] long nDimensionIndex)
Protected Member Functions inherited from XSecondAxisTitleSupplier
com::sun::star::drawing::XShape | getSecondXAxisTitle ()
com::sun::star::drawing::XShape | getSecondYAxisTitle ()
Protected Member Functions inherited from XDiagramPositioning
void | setAutomaticDiagramPositioning ()
| the diagram will be placed automatically More...
boolean | isAutomaticDiagramPositioning ()
void | setDiagramPositionExcludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the inner diagram part excluding any axes, labels and titles More...
boolean | isExcludingDiagramPositioning ()
com::sun::star::awt::Rectangle | calculateDiagramPositionExcludingAxes ()
void | setDiagramPositionIncludingAxes ([in] com::sun::star::awt::Rectangle PositionRect)
| place the outer diagram part including the axes and axes labels, but excluding the axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxes ()
void | setDiagramPositionIncludingAxesAndAxisTitles ([in] com::sun::star::awt::Rectangle PositionRect)
| place the diagram including the axes, axes labels and axes titles. More...
com::sun::star::awt::Rectangle | calculateDiagramPositionIncludingAxesAndAxisTitles ()
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes. More...

## Detailed Description

specifies a diagram which can be used for presenting stock quotes.

Note that the data must have a specific structure for stock diagrams. Let us assume that data is interpreted, such that series are taken from columns (see property Diagram::DataRowSource). Then you need tables of the following structures for different types:

StockDiagram::Volume is `FALSE`
StockDiagram::UpDown is `FALSE`

Low | High | Close
... | ... | ...

StockDiagram::Volume is `TRUE`
StockDiagram::UpDown is `FALSE`

Volume | Low | High | Close
... | ... | ... | ...

StockDiagram::Volume is `FALSE`
StockDiagram::UpDown is `TRUE`

Open | Low | High | Close
... | ... | ... | ...

StockDiagram::Volume is `TRUE`
StockDiagram::UpDown is `TRUE`

Volume | Open | Low | High | Close
... | ... | ... | ... | ...

Developers Guide
  Charts - Stock Charts

## Exported Interfaces

## § com::sun::star::chart::ChartAxisXSupplier

service com::sun::star::chart::ChartAxisXSupplier

## § com::sun::star::chart::ChartStatistics

service com::sun::star::chart::ChartStatistics

## § com::sun::star::chart::ChartTwoAxisYSupplier

service com::sun::star::chart::ChartTwoAxisYSupplier

## § com::sun::star::chart::Diagram

service com::sun::star::chart::Diagram

## Exported Interfaces

## § com::sun::star::chart::XStatisticDisplay

interface com::sun::star::chart::XStatisticDisplay

## Member Data Documentation

## § UpDown

boolean UpDown
| property

indicates if a stock chart contains data representing the value of stocks on the opening and closing date.

The difference will be indicated by bars. The color of the bar will be significant for positive or negative differences between open and closed data.

If this property is `FALSE`, the values of the first series (or second if StockDiagram::Volume is `TRUE`) of the chart data are interpreted as the day's lowest value. The next series is interpreted as the day's highest value, and the last series is interpreted as the closing value.

If this property is set to `TRUE`, one additional series is needed with the opening value of the stocks. It is assumed as the series before the series with the day's lowest value.

## § Volume

boolean Volume
| property

indicates if a stock chart contains data representing the volume of stocks.

The values of the volume are represented as columns like those of a BarDiagram.

If this property is set to `TRUE`, the values of the first series of the chart data are interpreted as volume.

The documentation for this service was generated from the following file:

- com/sun/star/chart/StockDiagram.idl